WHOIS(1)

NAME
whois - Whois user interface

SYNOPSIS
whois [OPTION...] OBJECT...

DESCRIPTION
client for the whois directory service

    RIPE-specific options

-a  search all databases

-F  fast raw output (implies -r)

-g SOURCE:FIRST-LAST
    find updates from SOURCE from serial FIRST to LAST

-i ATTR[,ATTR]...
    do an inverse lookup for specified ATTRibutes

-l  one level less specific lookup (RPSL only)

-L  find all Less specific matches

-m  find first level more specific matches

-M  find all More specific matches

-q version|sources
    query specified server info (RPSL only)

-r  turn off recursive lookups

-R  force to show local copy of the domain object even if it contains referral

-s SOURCE[,SOURCE]...
    search the database from SOURCE

-S  tell server to leave out syntactic sugar

-t TYPE
    requests template for object of TYPE ('all' for a list)

-T TYPE[,TYPE]...
    only look for objects of TYPE

-x  exact match only (RPSL only)

    General options

-h, --server=HOST
    connect to server HOST

-H  hide legal disclaimers

-p, --port=PORT
    connect to PORT

-V, --verbose
    explain what is being done

-?, --help
    give this help list

--usage
    give a short usage message

--version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

AUTHOR
Written by Marco d'Itri.

REPORTING BUGS
Report bugs to <bug-inetutils@gnu.org>.

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for whois is maintained as a Texinfo manual. If the info and whois programs are properly installed at your site, the command

    info whois

should give you access to the complete manual.